## Class Auth_OpenID_DiffieHellmanSHA256ConsumerSession

Description

A class implementing HMAC/DH-SHA256 consumer sessions.

Located in /Auth/OpenID/Consumer.php (line 515)

    Auth_OpenID_DiffieHellmanSHA1ConsumerSession
       |
       --Auth_OpenID_DiffieHellmanSHA256ConsumerSession

Variable Summary
mixed $allowed_assoc_types
mixed $hash_func
mixed $secret_size
mixed $session_type
Variables
mixed $allowed_assoc_types = array('HMAC-SHA256') (line 520)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ConsumerSession::$allowed_assoc_types

mixed $hash_func = 'Auth_OpenID_SHA256' (line 518)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ConsumerSession::$hash_func

mixed $secret_size = 32 (line 519)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ConsumerSession::$secret_size

mixed $session_type = 'DH-SHA256' (line 517)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ConsumerSession::$session_type

Methods

#### Inherited Methods

Inherited From Auth_OpenID_DiffieHellmanSHA1ConsumerSession

> Auth_OpenID_DiffieHellmanSHA1ConsumerSession::Auth_OpenID_DiffieHellmanSHA1ConsumerSession()
> Auth_OpenID_DiffieHellmanSHA1ConsumerSession::extractSecret()
> Auth_OpenID_DiffieHellmanSHA1ConsumerSession::getRequest()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2